<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="poker.domain" failures="0" tests="43" time="0.457" errors="0">
  <properties/>
  <testcase name="baralhoTemInicialmente52Cartas" time="0.125" classname="poker.domain.BaralhoTest"/>
  <testcase name="umaCartaEMaiorQueOutraSeSeuValorEMaior" time="0.0020" classname="poker.domain.CartaTest"/>
  <testcase name="duasCartasSaoDiferentesSeTiveremValorDiferente" time="0.0010" classname="poker.domain.CartaTest"/>
  <testcase name="toStringDeveImprimirValorENaipe" time="0.0010" classname="poker.domain.CartaTest"/>
  <testcase name="duasCartasSaoDiferentesSeTiveremValorENaipeDiferente" time="0.0010" classname="poker.domain.CartaTest"/>
  <testcase name="duasCartasSaoDiferentesSeTiveremNaipeDiferente" time="0.0010" classname="poker.domain.CartaTest"/>
  <testcase name="letrasDevemIndicarValorCorrespondente" time="0.0010" classname="poker.domain.CartaTest"/>
  <testcase name="duasCartasSaoIguaisSeTiveremMesmoValorENaipe" time="0.0020" classname="poker.domain.CartaTest"/>
  <testcase name="cartasInvalidasLancamExcecao" time="0.0020" classname="poker.domain.CartaTest"/>
  <testcase name="conjuntosDe_FullHouse" time="0.013" classname="poker.domain.CombinacaoTest"/>
  <testcase name="conjuntosDe_CartaMaisAlta" time="0.0030" classname="poker.domain.CombinacaoTest"/>
  <testcase name="sequencia" time="0.012" classname="poker.domain.CombinacaoTest"/>
  <testcase name="qtdeDeTrincas" time="0.0060" classname="poker.domain.CombinacaoTest"/>
  <testcase name="conjuntosDe_UmPar" time="0.0010" classname="poker.domain.CombinacaoTest"/>
  <testcase name="qtdeDeQuadras" time="0.0060" classname="poker.domain.CombinacaoTest"/>
  <testcase name="qtdeDePares" time="0.0040" classname="poker.domain.CombinacaoTest"/>
  <testcase name="conjuntosDe_Quadra" time="0.0020" classname="poker.domain.CombinacaoTest"/>
  <testcase name="conjuntosDe_DoisPares" time="0.0020" classname="poker.domain.CombinacaoTest"/>
  <testcase name="umJogadorIgualOutroSeTiverMesmoNome" time="0.0070" classname="poker.domain.JogadorTest"/>
  <testcase name="lancaUmErroSeTentarAdicionarUmaTerceiraCartaAMao" time="0.0020" classname="poker.domain.MaoTest"/>
  <testcase name="umaMaoInicialmenteNaoPossuiCartas" time="0.0010" classname="poker.domain.MaoTest"/>
  <testcase name="listaDeCombinacoesPossiveisOrdenadas" time="0.022" classname="poker.domain.MaoTest"/>
  <testcase name="combinacaoMaisAlta" time="0.0070" classname="poker.domain.MaoTest"/>
  <testcase name="equals" time="0.0010" classname="poker.domain.MaoTest"/>
  <testcase name="umaMaoAceitaDuasCartas" time="0.0010" classname="poker.domain.MaoTest"/>
  <testcase name="pilhaLancaExcecaoSeTentarUltrapassarLimiteDeCartasDefinido" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="sortComArrayOrdenado" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="equals" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="quantidadeDeCartas" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="sortComArrayOrdenadoInversamente" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="eachCons5" time="0.0" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="eachCons3" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="aceitaCartasRepetidas" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="sortComArrayEmbaralhado" time="0.0" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="eachCons1" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="eachConsAceitaRetornoGenerico" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="getCarta" time="0.0010" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="eachConsInvalidThrowsAnException" time="0.0" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="embaralhaAleatoriamente" time="0.016" classname="poker.domain.PilhaDeCartasTest"/>
  <testcase name="noComecoDaRodadaExisteUmBaralhoEJogadoresSemCartas" time="0.0060" classname="poker.domain.RodadaTest"/>
  <testcase name="vencedor" time="0.031" classname="poker.domain.RodadaTest"/>
  <testcase name="distribuiCarta" time="0.0020" classname="poker.domain.RodadaTest"/>
  <testcase name="rodadaComEmpate_MaisDeUmVencedor" time="0.027" classname="poker.domain.RodadaTest"/>
</testsuite>
